Bug 1434750 - Review Request: uom-systems - Units of Measurement Systems (JSR 363)
Summary: Review Request: uom-systems - Units of Measurement Systems (JSR 363)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukas Berk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1429804
TreeView+ depends on / blocked
 
Reported: 2017-03-22 10:03 UTC by Nathan Scott
Modified: 2018-12-04 13:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-01 08:12:35 UTC
lberk: fedora-review+


Attachments (Terms of Use)

Description Nathan Scott 2017-03-22 10:03:09 UTC
Spec URL: https://bintray.com/pcp/f25/download_file?file_path=uom-systems.spec
SRPM URL: https://bintray.com/pcp/f25/download_file?file_path=uom-systems-0.6-2.fc25.src.rpm
Description: Units of Measurement Systems - modules for JSR 363.
Fedora Account System Username: brolley, lberk, nathans

Comment 3 Lukas Berk 2017-08-15 14:28:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "CC by", "Unknown or generated". 37 files
     have unknown license. Detailed output of licensecheck in
     /home/lberk/src/fedora-scm/review/review-uom-systems/licensecheck.txt
For the java files in question, some properly list bsd3-clause license (not sure why fedora-review doesn't pick that up.  Others, like in si-units, list a (C) reference to the top level bsd license.
I've ask upstream to make the same changes they did with si-units and apply a common license header across these file (also confirming all files are bsd3 clause).  Other notable listed files do list the bsd3 license properly (pom.xml for example), others are just trivial files one wouldn't expect to have a full license.

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in uom-
     systems-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: uom-systems-0.7-2.fc27.noarch.rpm
          uom-systems-javadoc-0.7-2.fc27.noarch.rpm
          uom-systems-0.7-2.fc27.src.rpm
uom-systems.src:39: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 39)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
uom-systems-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

uom-systems (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(javax.measure:unit-api)
    mvn(si.uom:si-quantity)
    mvn(si.uom:si-units-java8)
    mvn(tec.uom:uom-se)



Provides
--------
uom-systems-javadoc:
    uom-systems-javadoc

uom-systems:
    mvn(systems.uom:systems-common-java8)
    mvn(systems.uom:systems-common-java8:pom:)
    mvn(systems.uom:systems-parent:pom:)
    mvn(systems.uom:systems-quantity)
    mvn(systems.uom:systems-quantity:pom:)
    mvn(systems.uom:systems-ucum-java8)
    mvn(systems.uom:systems-ucum-java8:pom:)
    mvn(systems.uom:systems-unicode-java8)
    mvn(systems.uom:systems-unicode-java8:pom:)
    osgi(systems.uom.systems-common-java8)
    osgi(systems.uom.systems-quantity)
    osgi(systems.uom.systems-unicode-java8)
    uom-systems



Source checksums
----------------
https://github.com/unitsofmeasurement/uom-systems/archive/0.7/uom-systems-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : ec9c02d005e497b89cd2c328f067308e263e232faa6537bcc9f2893227e2f491
  CHECKSUM(SHA256) upstream package : ec9c02d005e497b89cd2c328f067308e263e232faa6537bcc9f2893227e2f491


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -v -n uom-systems
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Gwyn Ciesla 2017-08-15 14:30:26 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/uom-systems

Comment 5 Gwyn Ciesla 2017-08-15 14:30:32 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/uom-systems


Note You need to log in before you can comment on or make changes to this bug.